Jupiter ERP
Account API

Update comment

/api/account/comments/{id}

PATCHHTTP
patch/api/account/comments/{id}

Example request

PATCH https://api.jupiter-erp.com/api/account/comments/example-id

Code
curl -X PATCH 'https://api.jupiter-erp.com/api/account/comments/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "text": "string"
}'

Parameters

NameInRequiredDescription
idpathyes

Request body

Optional

FieldTypeDescription
text*stringHTML
Example request
{
  "text": "string"
}

Responses

200Ok
ModelComment
FieldTypeDescription
created_atstring (date-time)Creation timestamp in ISO 8601 format.
entityobject
FieldTypeDescription
idinteger
namestring
entity_idinteger
entity_typestring

string

  • Contact
  • Project
  • Task
  • CustomDocument
  • Quote
  • ServiceObject
  • ServiceOrder
id*integer
text*stringHTML
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
uploadsobject[]

array

Elements

FieldTypeDescription
file_bytes*number
file_ext*string
file_name*string
file_type*string
id*integer
url*string (https://test.com)
userobject
FieldTypeDescription
image_urlstring
namestring
user_idinteger
Example response
{
  "id": 0,
  "user_id": 0,
  "entity_type": "Contact",
  "entity_id": 0,
  "user": {
    "name": "string",
    "image_url": "string"
  },
  "entity": {
    "id": 0,
    "name": "string"
  },
  "text": "string"
}
Comments

Questions about integration?

PATCH /api/account/comments/{id} · Jupiter ERP